﻿@page
@model IndexModel
@using Entities
@{
    ViewData["Title"] = "Brand";
}

<div class="row text-start">
    <p>
        <a href="/" class="link-primary text-decoration-none">Home</a>
        >
        <a href="/brand" class="link-primary text-decoration-none">Brand</a>
    </p>
</div>
<div>
    <div class="row table_header mb-2">
        <p class="col-sm-3 mb-2 text-start fw-bold">Brand Details</p>
        <div class="col-sm-6 mb-2 text-start text-sm-center d-inline-block">
            <form method="get">
                <input type="text" id="search" name="search" placeholder="ID or Name" maxlength="30" />
                <button type="submit" value="Search" class="btn btn-sm btn-primary text-light">Search</button>
            </form>
        </div>
        <div class="col-sm-3 mb-2 text-start text-sm-end">
            <a target="_blank" class="btn btn-sm btn-success text-light" href="/brand/add" role="button">Add New</a>
        </div>
    </div>
    <div class="text-center table_section">
        <table class="table table-bordered table-striped table-hover align-middle">
            <thead>
                <tr>
                    <th>No</th>
                    <th>ID</th>
                    <th>Name</th>
                    <th>Action</th>
                </tr>
            </thead>

            <tbody>
                @if (Model.BrandList.Count > 0)
                {
                    int j = Model.page.ItemStart - 1;
                    for (int i = Model.page.ItemStart; i <= Model.page.ItemEnd; i++)
                    {
                        <tr>
                            <td>@i</td>
                            <td>@Model.BrandList[j].ID</td>
                            <td>@Model.BrandList[j].Name</td>
                            <td>
                                <a target="_blank" class="btn btn-sm btn-warning text-light" href="/brand/edit?id=@Model.BrandList[j].ID" role="button">Edit</a>
                                <a target="_blank" class="btn btn-sm btn-danger text-light" href="/brand/delete?id=@Model.BrandList[j].ID" role="button">Delete</a>
                            </td>
                        </tr>
                        j++;
                    }
                }
                else
                {
                    <tr>
                        <td colspan="4" class="text-center fw-bold">No data available</td>
                    </tr>
                }
            </tbody>
        </table>
    </div>

    <div class="row table_pagination">
        @if (Model.BrandList.Count > 0)
        {
            <div class="col-3">
                <p class="pagination">From @Model.page.ItemStart to @Model.page.ItemEnd of @Model.page.ItemTotal</p>
            </div>
            <div class="col-9">
                <nav aria-label="Page navigation">
                    <ul class="pagination justify-content-end">
                        @for (uint i = 1; i <= Model.page.Total; i++)
                        {
                            if (i == Model.page.Index)
                            {
                                <li class="page-item active"><a class="page-link" href="/brand/?search=@Model.sKeyword&page=@i">@i</a></li>
                            }
                            else
                            {
                                <li class="page-item"><a class="page-link" href="/brand/?search=@Model.sKeyword&page=@i">@i</a></li>
                            }
                        }
                    </ul>
                </nav>
            </div>
        }
    </div>
</div>
